gzdoom is unplayable

Mon Jun 05, 2017 2:20 pm

unable to play gzdoom at all, no matter what i do i get Script error, "brutalv20b.pk3:blood.txt" line 610:
Expected ',', got 'l'.

Re: gzdoom is unplayable

Mon Jun 05, 2017 2:40 pm

Brutal Doom v20 has a typo which slipped through lax checking in the old code parser. You can either wait for SgtMk4 to release a new Brutal Doom, or try an older version of GZDoom (I'm not sure how far back).

If you're trying to play something else, make sure to take Brutal Doom off autoload to avoid compatibility issues.

8-)

Re: gzdoom is unplayable

Mon Jun 05, 2017 2:42 pm

how is everyone else playing gzdoom then? is there a version recommended?

Re: gzdoom is unplayable

Mon Jun 05, 2017 2:45 pm

GZDoom is not Brutal Doom. GZDoom works fine.

If you want to play Brutal Doom v20, you need to wait for Mark, find a patch which fixes the code (recommended, someone on moddb probably has one) or try an older version of GZDoom (not recommended). Whichever works best for you.

8-)

Re: gzdoom is unplayable

Mon Jun 05, 2017 3:13 pm

crimson tide wrote:how is everyone else playing gzdoom then?

Without Brutal Doom, and we're so much better for it! :twisted:

Re: gzdoom is unplayable

Mon Jun 05, 2017 3:54 pm

I find it somewhat puzzling that this broken version ofd Brutal Doom is still around.

Re: gzdoom is unplayable

Mon Jun 05, 2017 5:23 pm

Becouse there are unofficial patches, load brutalv20c_UP.pk3 after brutalv20b.pk3.

http://www.moddb.com/mods/brutal-doom/a ... cial-patch

Re: gzdoom is unplayable

Mon Jun 05, 2017 6:15 pm

drfrag wrote:Becouse there are unofficial patches, load brutalv20c_UP.pk3 after brutalv20b.pk3.

http://www.moddb.com/mods/brutal-doom/a ... cial-patch

But...would a "patch" loaded like this actually stop the syntax error from happening?

Re: gzdoom is unplayable

Tue Jun 06, 2017 1:24 am

Yes. The error is in an included file and the patch replaces that. This not being a core lump the override is legal.